# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ProductOrFormationOrDefinition Class Reference

Representation of STEP SELECT type ProductOrFormationOrDefinition
.

`#include <StepBasic_ProductOrFormationOrDefinition.hxx>`

Inheritance diagram for StepBasic_ProductOrFormationOrDefinition:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepBasic_ProductOrFormationOrDefinition ()
| Empty constructor .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a kind of ProductOrFormationOrDefinition select type 1 -> Product from StepBasic 2 -> ProductDefinitionFormation from StepBasic 3 -> ProductDefinition from StepBasic 0 else .
Standard_EXPORT Handle_StepBasic_Product | Product () const
| Returns Value as Product (or Null if another type) .
Standard_EXPORT Handle_StepBasic_ProductDefinitionFormation | ProductDefinitionFormation () const
| Returns Value as ProductDefinitionFormation (or Null if another type) .
Standard_EXPORT Handle_StepBasic_ProductDefinition | ProductDefinition () const
| Returns Value as ProductDefinition (or Null if another type) .

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_ProductOrFormationOrDefinition::StepBasic_ProductOrFormationOrDefinition | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepBasic_ProductOrFormationOrDefinition::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

void StepBasic_ProductOrFormationOrDefinition::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepBasic_ProductOrFormationOrDefinition::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepBasic_ProductOrFormationOrDefinition::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_StepBasic_Product StepBasic_ProductOrFormationOrDefinition::Product | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_ProductDefinition StepBasic_ProductOrFormationOrDefinition::ProductDefinition | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_ProductDefinitionFormation StepBasic_ProductOrFormationOrDefinition::ProductDefinitionFormation | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepBasic_ProductOrFormationOrDefinition.hxx